gstreamermm: Gst::DoubleRange Class Reference

gstreamermm 0.10.10.1

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
Gst::DoubleRange Class Reference
gstreamermm Helper Classes

A class that represents a double range (min - max). More...

List of all members.

## Public Member Functions
| DoubleRange ()
| Constructs a zero Gst::DoubleRange (0.0 - 0.0).
| DoubleRange (double min, double max)
| Constructs a Gst::DoubleRange (min - max).
| DoubleRange (const DoubleRange& src)
| Constructs a Gst::DoubleRange from another.
| DoubleRange (const Glib::ValueBase& gst_double_range_value)
| Constructs a Gst::DoubleRange from a GST_TYPE_DOUBLE_RANGE.
| DoubleRange (const GValue& gst_double_range_value)
| Constructs a Gst::DoubleRange from a GST_TYPE_DOUBLE_RANGE.
DoubleRange& | operator= (const DoubleRange& src)
## Public Attributes
double | min
double | max

## Detailed Description

A class that represents a double range (min - max).

Gst::DoubleRange is used to use to store a double precision floating point range in Gst::Structures of Gst::Caps as a value representing a property (see GStreamer Application Development Manual section 8.2.2 and GstValue docs). When the value is set, it is transformed to a GStreamer GType so retrieving the value is a bit different. The class can be used in setting and getting a Gst::Structure field like so:

     Glib::Value<Gst::DoubleRange> value;
     value.init(Glib::Value<Gst::DoubleRange>::value_type());
     value.set(Gst::DoubleRange(44.1, 48.0));

     Gst::Structure structure("my-structure");
     structure.set_field("rate", value);
     ...
     Glib::ValueBase gst_value;
     structure.get_field("rate", gst_value);
     Gst::DoubleRange range(gst_value);
     double min = range.min;
     ...

## Constructor & Destructor Documentation

Gst::DoubleRange::DoubleRange | ( |  | ) |

Constructs a zero Gst::DoubleRange (0.0 - 0.0).

Gst::DoubleRange::DoubleRange | ( | double | min,
|  | double | max
| ) |  |

Constructs a Gst::DoubleRange (min - max).

Gst::DoubleRange::DoubleRange | ( | const DoubleRange& | src | ) |

Constructs a Gst::DoubleRange from another.

Gst::DoubleRange::DoubleRange | ( | const Glib::ValueBase & | gst_double_range_value | ) | `[explicit]`

Constructs a Gst::DoubleRange from a GST_TYPE_DOUBLE_RANGE.

Gst::DoubleRange::DoubleRange | ( | const GValue & | gst_double_range_value | ) | `[explicit]`

Constructs a Gst::DoubleRange from a GST_TYPE_DOUBLE_RANGE.

## Member Function Documentation

DoubleRange& Gst::DoubleRange::operator= | ( | const DoubleRange& | src | ) |

## Member Data Documentation

double Gst::DoubleRange::max

double Gst::DoubleRange::min

The documentation for this class was generated from the following file:

- gstreamermm/value.h